Bug 969394 - CLI - " user_role add_ldap_group" shows error for 'free_ipa'.
CLI - " user_role add_ldap_group" shows error for 'free_ipa'.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.1
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Adam Price
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 07:07 EDT by Hayk Hovsepyan
Modified: 2014-04-24 13:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2013-05-31 07:07:19 EDT
Description of problem:
Configure Satellite 6 with LDAP with param "--ldap-server-type=free_ipa".
Add some LDAP group into user role, you will see the error:
"undefined method `empty?' for false:FalseClass".

Version-Release number of selected component (if applicable):
ruby193-rubygem-foreman-katello-engine-0.0.8-4.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch
katello-common-1.4.2-8.el6sat.noarch
katello-glue-elasticsearch-1.4.2-8.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-agent-1.4.2-4.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.4.2-6.el6sat.noarch
katello-configure-1.4.3-12.el6sat.noarch
signo-katello-0.0.15-1.el6sat.noarch
katello-glue-candlepin-1.4.2-8.el6sat.noarch
katello-selinux-1.4.3-3.el6sat.noarch
katello-1.4.2-8.el6sat.noarch
katello-configure-foreman-1.4.3-12.el6sat.noarch
katello-foreman-all-1.4.2-8.el6sat.noarch
katello-cli-common-1.4.2-6.el6sat.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-glue-pulp-1.4.2-8.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.3-4.el6sat.noarch
katello-all-1.4.2-8.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch

How reproducible:
always

Steps to Reproduce:
1. Configure Sattelite6 with "free_ipa" LDAP server.
2. Create user role.
3. On CLI add LDAP group "admins" to created user role. "user_role add_ldap_group ...". You will see error here: "undefined method `empty?' for false:FalseClass".

Actual results:
error is shown while adding ldap group to user role.

Expected results:
it should add successfully if group exists, and will  show error message if group does not exist.

Additional info:
for "active_directory" LDAP it works fine.
Comment 2 Adam Price 2013-09-24 16:17:03 EDT
works4me
Comment 3 Hayk Hovsepyan 2013-09-25 04:32:04 EDT
Verified on sat6-mdp2-drop2-compose2.
Comment 4 Bryan Kearney 2014-04-24 13:11:29 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 5 Bryan Kearney 2014-04-24 13:12:21 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.